Bug 371271 - GDM times out trying to display the list of users
GDM times out trying to display the list of users
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
8
All Linux
low Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-08 09:54 EST by Arnaud Gomes-do-Vale
Modified: 2009-01-09 00:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:06:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Arnaud Gomes-do-Vale 2007-11-08 09:54:42 EST
Description of problem:

GDM times out when getting the list of users from an LDAP directory.

Version-Release number of selected component (if applicable):

gdm-2.20.1-5.fc8

How reproducible:

Almost always on my test machine (Pentium III 800, 100Mbps network link, about
300 accounts in LDAP)

Steps to Reproduce:
1.Boot
2.Wait for gdm to fail
  
Actual results:

"Failed to start the X server" dialog.

Expected results:

GDM starts and displays the greeter with the list of users.

Additional info:

Here is the relevant part of the debug log from GDM:

Nov  8 14:33:30 atlas gdm-binary[2765]: DEBUG: gdm_server_spawn: '/usr/bin/X :0
-br -audit 0 -auth /var/gdm/:0.Xauth -nolisten tcp vt
7'
Nov  8 14:33:30 atlas acpid: client connected from 2765[0:0]
Nov  8 14:33:30 atlas acpid: 1 client rule loaded
Nov  8 14:33:31 atlas kernel: ACPI: PCI Interrupt Link [LNKA] enabled at IRQ 11
Nov  8 14:33:31 atlas kernel: ACPI: PCI Interrupt 0000:01:00.0[A] -> Link [LNKA]
-> GSI 11 (level, low) -> IRQ 11
Nov  8 14:33:40 atlas gdm-binary[2763]: DEBUG: Attempting to parse key string:
daemon/GdmXserverTimeout=10
Nov  8 14:33:41 atlas gdm-binary[2763]:last message repeated 2 times
Nov  8 14:33:41 atlas gdm-binary[2763]: DEBUG: do_server_wait: Server timeout
Nov  8 14:33:41 atlas gdm-binary[2763]: DEBUG: gdm_server_start: After mainloop
waiting for server
Nov  8 14:33:46 atlas kernel: [drm] Initialized drm 1.1.0 20060810
Nov  8 14:33:46 atlas kernel: [drm] Initialized mga 3.2.1 20051102 on minor 0
Nov  8 14:33:46 atlas kernel: agpgart: Found an AGP 2.0 compliant device at
0000:00:00.0.
Nov  8 14:33:46 atlas kernel: agpgart: Putting AGP V2 device at 0000:00:00.0
into 1x mode
Nov  8 14:33:46 atlas kernel: agpgart: Putting AGP V2 device at 0000:01:00.0
into 1x mode
Nov  8 14:33:46 atlas kernel: [drm] Initialized card for AGP DMA.
Nov  8 14:33:48 atlas gdm-binary[2763]: DEBUG: gdm_server_start: Temporary
server failure (:0)
Nov  8 14:33:48 atlas gdm-binary[2763]: DEBUG: Attempting to parse key string:
daemon/LogDir=/var/log/gdm
Nov  8 14:33:48 atlas gdm-binary[2696]: DEBUG: mainloop_sig_callback: Got signal 17
Nov  8 14:33:48 atlas gdm-binary[2696]: DEBUG: gdm_cleanup_children: child 2763
returned 64
Nov  8 14:33:48 atlas gdm-binary[2696]: DEBUG: Looking up per display value for
greeter/SystemMenu=true
Nov  8 14:33:48 atlas gdm-binary[2696]: DEBUG: Attempting to parse key string:
greeter/SystemMenu=true
Nov  8 14:33:48 atlas gdm-binary[2696]: DEBUG: Attempting to parse key string:
greeter/SystemMenu=true
Nov  8 14:33:48 atlas gdm-binary[2696]: DEBUG: Requesting group=greeter
key=SystemMenu locale=(null)
Nov  8 14:33:48 atlas gdm-binary[2696]: DEBUG: Attempting to parse key string:
greeter/SystemMenu=true
Nov  8 14:33:48 atlas gdm-binary[2696]: DEBUG: X failed!

Setting GdmXserverTimeout (in the daemon section of custom.conf) to a large
value (I used 300 instead of the default of 10) fixes the issue.
Comment 1 Arnaud Gomes-do-Vale 2007-11-08 10:39:06 EST
Here is the fix, in custom.conf:

[greeter]
Browser=false
IncludeAll=false
Include=

It looks like Browser=false is not enough.
Comment 2 Bug Zapper 2008-11-26 03:14:43 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-01-09 00:06:45 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.